.contact {
  &:hover {
    background: $gray-100;
  }
}

.submit-form-btn {
  width: 120px;
  padding: 0.8rem;
}

.address-book.icon-border {
  width: 2em;
  height: 2em;
  line-height: 2em;
  border: 1px solid $gray-100;
  border-radius: 50%;
  background: $gray-100;
  color: black;
  margin-bottom: 0;
  font-size: 1.4rem;

  &:hover {
    color: $indigo;
  }
}

.list-icon {
  img {
    height: 48px;
    width: 48px;
    @include media-breakpoint-down(xs) {
      height: 44px;
      width: 44px;
    }
  }
}

.p-16 {
  padding: 16px;
}

.border-bottom {
  border-bottom: 1px solid $nlb-gray-c !important;
}

.active {
  background: $navigationLightGray;
}

.payment-account-card {
  .ellipsis {
    @include media-breakpoint-down(sm) {
      @include text-overflow;
      display: inline-block;
      width: 165px;
    }
    @include media-breakpoint-down(xs) {
      @include text-overflow;
      display: inline-block;
      width: 130px;
    }
  }
}

.preview-label {
  font-family: $roboto;
  font-size: 14px;
  color: $nlbGreyColor;
  letter-spacing: 0.2px;
  margin-bottom: 0;

  &.purpose-label {
    margin-right: 64px;
  }
}

.preview-value {
  text-align: right;
  font-size: 16px;
  font-weight: normal;
  font-family: $roboto;
  letter-spacing: 0.2px;
  color: $nlb-gray-2;
  word-break: break-word;
  width: 70%;
  @include media-breakpoint-down(sm) {
    width: 100%;
  }
}

.border-bottom-light {
  border-bottom: 1px solid $light-blue;
}

.nlb-default-input {
  border: 1px solid $gray-200;
  border-radius: 4px;
}

$blur-level: 3px;
.overlay {
  z-index: 9999;
  width: 100%;
  height: 100%;
  position: fixed;
  background: grey;
  filter: blur($blur-level);
  -webkit-filter: blur($blur-level);
  -ms-filter: blur($blur-level);
  //margin: -5vh -5vw;
}

.overlay-not-blurred-content {
  z-index: 10000;
  width: 100%;
  height: 100%;
  position: fixed;
  color: white;
}

.account-item {
  font-family: $istok-web;
  padding: 8px 22px 8px 40px;
  min-height: 74px;
  width: 100%;

  &.statement-item {
    padding: 8px 40px;
  }

  &.smaller-card {
    padding: 8px 16px;
    margin-bottom: 16px;

    @include media-breakpoint-down(md) {
      padding: 8px;
    }
  }

  @include media-breakpoint-down(md) {
    padding: 8px 24px;
  }

  &-icon {
    color: $nlbGreenColor;

    .icon-circle {
      height: 48px;
      width: 48px;
      background-color: $navigationDarkerGray;
      border-radius: 50%;

      &.icon-contacts {
        background-color: rgba(40, 0, 125, 0.2);
        color: $nlbIndigoColor;

        div {
          font-family: Roboto, sans-serif;
          font-size: 16px;
          margin-top: 2px;
        }
      }
    }

    i {
      margin: 0 auto;
    }
  }

  &-title {
    display: block;
    font-size: 16px;

    &.smaller-card {
      max-width: 300px;
    }
  }

  &-subtitle {
    font-size: 16px;
    color: $nlbGreyColor;
  }

  &-amount {
    font-size: 16px;
    font-family: Roboto, sans-serif;
    font-weight: 700;
    color: $nlbDarkGreyColor;
  }

  &-close {
    div {
      float: right;
      height: 25px;
      width: 25px;
      padding: 4px;
    }
  }

  &-details {
    border-radius: 6px;
    box-shadow: $list-item-shadow;
  }
}

.beneficiary-details-wrapper {
  border-radius: 6px;
  box-shadow: $list-item-shadow;
}

.amount-font {
  font-size: 18px;
  font-family: $roboto;
  font-weight: 500;
  text-align: right !important;
  color: $nlbDarkestGreyColor;
  // Placeholder
  &::placeholder {
    text-align: right !important;
    font-size: 18px !important;
    font-weight: 400;
    // Override Firefox's unusual default opacity; see https://github.com/twbs/bootstrap/pull/11526.
    opacity: 1;
  }

  &.preview-amount {
    font-size: 20px;
    letter-spacing: 0.25px;
  }
}

::-webkit-input-placeholder {
  /* Edge */
  color: red;
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: red;
}

::placeholder {
  color: red;
}

input::placeholder {
  /* Firefox, Chrome, Opera */
  text-align: center;
}

.top-back-button {
  font-size: 16px;
  color: $nlbMainGreyColor !important;
  font-family: $roboto;
  padding-bottom: 22px;
  cursor: pointer;
}

.payment-header {
  h3 {
    color: $nlbDarkerGreyColor;
    margin-bottom: 4px !important;
    font-family: $istok-web;
  }

  span {
    font-family: $roboto;
    font-size: 14px;
    color: $nlbMainGreyColor;
  }
}

hr.header-divider {
  margin-top: 0;
  margin-bottom: 15px;
  border: 0;
  border-top: 1px solid $nlbLightGreyColor;
}

.font-weight-amount {
  font-weight: 500;
}

.overlay-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 1050;

  .overlay-content {
    position: absolute;
    z-index: 9999;
    text-align: center;
    color: #fff;
  }

  .overlay-screen {
    position: fixed;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background: #131212;
    z-index: 9999;
    opacity: 0.6;
  }

  .overlay-icon {
    font-size: 10rem;
  }

  .overlay-text {
    font-family: $roboto;
    font-size: 32px;
    letter-spacing: 0.35px;
    line-height: 46px;
    color: #ffffff;
  }
}

.dropdown {
  &.custom-top-margin {
    margin-top: 65px;
  }
}

.selected-account-section {
  flex-grow: 100;

  .account-item-title.smaller-card {
    @include media-breakpoint-down(sm) {
      max-width: 180px;
    }
  }

  .account-item-subtitle {
    font-size: 14px;
  }
}

.show-contacts-modal {
  padding: 0 0 0 15px;
  flex-grow: 1;

  .btn-tertiary {
    height: 48px;
    width: 48px;

    i {
      font-size: 20px;
    }
  }
}

.scheduling-label {
  font-size: 16px;
  color: $nlbDarkestGreyColor;
}

.text-darkest {
  color: $nlbDarkestGreyColor;
}

.no-hover {
  &:hover {
    cursor: default;
    box-shadow: $list-item-shadow;
  }
}

.to-whom-section {
  display: flex;
  align-items: center;
}

.section-label {
  font-size: 18px;
  letter-spacing: 0.23px;
  color: $nlbDarkGreyColor;
}

.standing-order-info {
  font-size: 15px;
  letter-spacing: 0.19px;
  line-height: 18px;
  font-family: $roboto;
  color: $nlbMainGreyColor;
}

#toWhomLabel {
  margin-bottom: 4px;
}

.form-control-label {
  font-size: 14px;
  color: $nlbMainGreyColor;
}

.payment-preview {
  .preview-group {
    justify-content: space-between;
    @include media-breakpoint-down(sm) {
      flex-flow: column;
      justify-content: center;
      align-items: flex-start;
    }
  }
}

nlb-foreign-payment {
  .nlb-checkbox {
    display: inline-flex;
  }

  .tooltip-icon {
    top: 0;

    &.upper {
      margin-top: -5px;
      position: absolute;
    }

    i {
      font-size: 8px;
      line-height: 1.8;
    }
  }
}

.account-item-subtitle {
  font-size: 14px;
}

nlb-contact-card-list-item,
nlb-account-card-list-item {
  .account-item {
    min-height: 0;

    &.smaller-card {
      padding: 8px 16px;
      margin-bottom: 16px !important;

      .account-item-subtitle {
        font-size: 14px;
      }
    }

    .account-item-title {
      &.smaller-card {
        font-weight: bold;
      }
    }
  }
}
.beneficiary-details-wrapper,
.selected-account-section {
  nlb-contact-card-list-item,
  nlb-account-card-list-item {
    .account-item {
      &.smaller-card {
        margin-bottom: 0 !important;
      }
    }
  }
}
